a, button {
  /* Hover/Focus */
  @apply hover:bg-gray-500 focus:bg-gray-500 hover:text-white focus:text-white hover:no-underline focus:no-underline hover:ring-2 focus:ring-2;
  @apply text-gray-500 rounded underline;
}

.footnotes p, .footnotes li {
  @apply my-0;
}

mark {
  @apply bg-emerald-200;
}

.footnotes li, .search-summary {
  @apply odd:bg-blue-100 border-4 border-blue-100 first:rounded-t-md last:rounded-b-md p-2;
}

code {
  @apply px-2 pt-1 border border-cyan-300 rounded;
}

.footnotes ol > li::before {
  @apply text-3xl relative float-left ml-0 mt-8 mr-4 mb-1
}

/* FIXME this doesn't work on firefox OOTB.  It seems all other browsers
   support :has() OOTB, however.  So let's go ahead and use this feature... and
   wait for Mozilla to stop dragging their feet...

   https://developer.mozilla.org/en-US/docs/Web/CSS/:has#browser_compatibility
*/
a:has(> img) {
  @apply hover:ring-0 focus:ring-0 !important
}

a img {
  @apply  hover:rounded focus:rounded hover:ring-8 focus:ring-8;
}

dl {
  @apply ml-8;
}

dd {
  @apply ml-16;
}

/* Hide figure numbers as omitted by ox-hugo. */
.figure-number {
  display: none;
}

#search-results {
  @apply text-2xl italic
}

.search-summary {
  @apply h-32 hover:bg-gray-500 block
}

.header-hotlink::before, #nav-menu>li::before {
  content: "//";
  @apply text-gray-500 font-light;
}
